import mapytex

def test_generate_expression():
    random_expression = mapytex.random.expression("{a}+{b}")
    assert type(random_expression).__name__ == "Expression"
    random_expression = mapytex.random.expression("{a}/{b}")
    assert type(random_expression).__name__ == "Fraction"

def test_generate_expression_calculus():
    random_expression = mapytex.random.expression("{a}+{a*b}")
    assert type(random_expression).__name__ == "Expression"
    random_expression = mapytex.random.expression("{a}/{a*b}", global_config={"min_max": (2, 10)})
    assert type(random_expression).__name__ == "Fraction"
    assert random_expression.numerator / random_expression.denominator <= 1

